package example;

import com.sportradar.sdk.common.exceptions.SdkException;
//import com.sportradar.sdk.feed.lcoo.interfaces.LcooFeed;
//import com.sportradar.sdk.feed.lcoo.interfaces.LcooFeedListener;
//import com.sportradar.sdk.feed.liveodds.interfaces.LiveOddsFeed;
//import com.sportradar.sdk.feed.liveodds.interfaces.LiveOddsFeedListener;
//import com.sportradar.sdk.feed.liveodds.interfaces.RaceFeed;
//import com.sportradar.sdk.feed.liveodds.interfaces.RaceFeedListener;
//import com.sportradar.sdk.feed.liveodds.interfaces.outrights.LiveOddsWithOutrightsFeed;
//import com.sportradar.sdk.feed.liveodds.interfaces.outrights.LiveOddsWithOutrightsListener;
import com.sportradar.sdk.feed.livescout.interfaces.LiveScoutFeed;
import com.sportradar.sdk.feed.livescout.interfaces.LiveScoutFeedListener;
//import com.sportradar.sdk.feed.oddscreator.entities.IdNameEntity;
//import com.sportradar.sdk.feed.oddscreator.exceptions.OddsCreatorException;
//import com.sportradar.sdk.feed.oddscreator.interfaces.OddsCreatorFeed;
import com.sportradar.sdk.feed.sdk.Sdk;
import example.listeners.*;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Arrays;
import java.util.List;

public class Main {
    private final static Logger logger = LoggerFactory.getLogger(Main.class);

    /**
     * The main entry point for the sdk-example
     * @param args provided command line arguments
     */
    public static void main(String[] args) throws SdkException {

        final Sdk sdk = Sdk.getInstance();
        final LiveScoutFeed liveScoutFeed = sdk.getLiveScout();
        final LiveScoutFeedListener scoutFeedListener = new LiveScoutFeedListenerImpl();

        if (liveScoutFeed != null) {
            liveScoutFeed.open(scoutFeedListener);
        }

        BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));

        try {
            boolean close = false;
            while(!close) {
                String input = reader.readLine();
                if("close".equals(input)) {
                    close = true;
                } else if("matchlist".equals(input)) {
                    if(liveScoutFeed != null) {
                        logger.info("Sending matchlist request");
                        List<Long> sportIds = Arrays.asList(20L, 137L);
                        liveScoutFeed.getMatchList(6,6,true, sportIds, null);
                    }
                }
            }

        } catch (IOException e) {
            e.printStackTrace();
        }

        logger.info("Closing the sdk");
        sdk.close();
        logger.info("Sdk successfully closed. Main thread will now exit");
    }
}
